org.apache.fop.render.gradient

## Class GradientMaker

- java.lang.Object
- - org.apache.fop.render.gradient.GradientMaker

-     public final class GradientMaker
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `GradientMaker.DoubleFormatter`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Pattern` | `makeLinearGradient(org.apache.batik.ext.awt.LinearGradientPaint gp, java.awt.geom.AffineTransform baseTransform, java.awt.geom.AffineTransform transform)`
    `static Pattern` | `makeRadialGradient(org.apache.batik.ext.awt.RadialGradientPaint gradient, java.awt.geom.AffineTransform baseTransform, java.awt.geom.AffineTransform transform)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### makeLinearGradient

          public static Pattern makeLinearGradient(org.apache.batik.ext.awt.LinearGradientPaint gp,
                                                   java.awt.geom.AffineTransform baseTransform,
                                                   java.awt.geom.AffineTransform transform)

    - #### makeRadialGradient

          public static Pattern makeRadialGradient(org.apache.batik.ext.awt.RadialGradientPaint gradient,
                                                   java.awt.geom.AffineTransform baseTransform,
                                                   java.awt.geom.AffineTransform transform)

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.